<app-title-page></app-title-page>
<div class="default-card">
  <nz-table #nzTable1 [nzData]="listOfData1">
    <thead>
    <tr>
      <th>Tài khoản</th>
      <th>Họ tên</th>
      <th>Lần truy cập cuối</th>
      <th>Trạng thái tài khoản</th>
    </tr>
    </thead>
    <tbody>
    <ng-template ngFor let-data1 [ngForOf]="nzTable1.data">
      <tr routerLink="/customers/1/detail">
        <td>{{ data1.username }}</td>
        <td>{{ data1.fullName }}</td>
        <td>{{ data1.lastLogin | date: 'hh:mm dd/MM/yyyy'}}</td>
        <ng-container [ngSwitch]="data1.status">
          <td *ngSwitchCase="'ACTIVATED'">
            <nz-tag [nzColor]="'green'">Đang hoạt động</nz-tag>
          </td>
          <td *ngSwitchCase="'NOT_ACTIVATED'">
            <nz-tag [nzColor]="'orange'">Chưa kích hoạt</nz-tag>
          </td>
          <td *ngSwitchCase="'BANDED'">
            <nz-tag [nzColor]="'red'">Đã khóa</nz-tag>
          </td>
        </ng-container>
      </tr>
    </ng-template>
    </tbody>
  </nz-table>
</div>
